org.eclipse.net4j.util.om.monitor

## Class ProgressDistributor

- java.lang.Object
- - org.eclipse.net4j.util.om.monitor.ProgressDistributor

- Direct Known Subclasses:
    ProgressDistributor.Arithmetic, ProgressDistributor.Geometric

      public abstract class ProgressDistributor
      extends Object

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProgressDistributor.Arithmetic`
    `static class` | `ProgressDistributor.Geometric`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressDistributor()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <CONTEXT> ProgressDistributable<CONTEXT>[]` | `array(ProgressDistributable<CONTEXT>... ops)`
    `protected abstract void` | `distribute(double[] distribution, double[] times)`
    `<CONTEXT> void` | `run(ProgressDistributable<CONTEXT>[] distributables, CONTEXT context, OMMonitor monitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressDistributor

          public ProgressDistributor()

  - ### Method Detail

    - #### run

          public final <CONTEXT> void run(ProgressDistributable<CONTEXT>[] distributables,
                                          CONTEXT context,
                                          OMMonitor monitor)
                                   throws RuntimeException,
                                          WrappedException

      Throws:
        `RuntimeException`
        `WrappedException`

    - #### distribute

          protected abstract void distribute(double[] distribution,
                                             double[] times)

    - #### array

          public static <CONTEXT> ProgressDistributable<CONTEXT>[] array(ProgressDistributable<CONTEXT>... ops)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html